Bug 243970 - permission to suspend denied when at tty1 rather than in X
permission to suspend denied when at tty1 rather than in X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 01:07 EDT by David Baron
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2007-06-13 01:07:59 EDT
Description of problem:  When I'm at tty1 and I press my laptop's suspend key,
gnome-power-manager says I shouldn't be able to suspend, and prevents it from
happening (see bug 243969 for problems this causes).  It shouldn't prevent me
from suspending:  I'm at the machine.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-4.fc7
hal-0.5.9-8.fc7
hal-info-20070516-2.fc7
pm-utils-0.99.3-6.fc7

How reproducible:  Once.

Steps to Reproduce:
1. Press Ctrl-Alt-F1 to go to tty1
2. Press laptop suspend key (Fn-F4)
  
Actual results:  Permission to suspend denied:
Jun 13 04:48:08 ridley gnome-power-manager: (dbaron) Suspending computer because
the suspend button has been pressed
Jun 13 04:48:09 ridley gnome-power-manager: (dbaron) Permission denied: Not in
active session code='32' quark='g-exec-error-quark'
Jun 13 04:48:09 ridley gnome-power-manager: (dbaron) Resuming computer
plus the mess described in bug 243969.

Expected results:  Laptop suspends.
Comment 1 Bug Zapper 2008-05-14 09:03:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:34:20 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.